/* SQL Database Interface. PostgreSQL interface header. 
   Author: adv (Andriy Marchenko), 06 sep, 2001
           < adv@adv.org.ua >  */

__int16_t   sql_postgres_connect     (sql_t* drv);
void        sql_postgres_disconnect  (sql_t* drv);
void        sql_postgres_freeres     (sql_res_t* res);
sql_res_t*  sql_postgres_execute     (sql_res_t* res, const char* query);
__int16_t   sql_postgres_fetch     (sql_res_t* res);
const char* sql_postgres_getfield_pos(sql_res_t* res, __uint32_t field);
const char* sql_postgres_getfield    (sql_res_t* res, const char* field);
__uint32_t  sql_postgres_fieldlen    (sql_res_t* res, __uint32_t field);

__uint32_t  sql_postgres_lastrec     (sql_t* drv);

__uint32_t  sql_postgres_numrows     (sql_res_t* res);
__uint32_t  sql_postgres_numcols     (sql_res_t* res);
const char* sql_postgres_fieldname   (sql_res_t* res, __uint32_t field);
